[request_definition]
r = sub, obj, act, type, has

[policy_definition]
p = sub, obj, act, type, has

[policy_effect]
e = some(where (p.eft == allow))

[matchers]
m = r.sub == p.sub && keyMatch(r.obj, p.obj) && (r.act == p.act || p.act == "*") && (r.type == p.type || p.type == "*") && (r.has == p.has || p.has == "*")
